%define anolis_release 1
%define _root_libdir    /%{_lib}

Name:			libtirpc
Version:		1.3.4
Release:		%{anolis_release}%{?dist}
Summary:		Transport Independent RPC Library
License:		SISSL and BSD
URL:  			http://git.linux-nfs.org/?p=steved/libtirpc.git;a=summary
Source0:                https://sourceforge.net/projects/libtirpc/files/libtirpc/%{version}/libtirpc-%{version}.tar.bz2

BuildRequires:		automake, autoconf, libtool, pkgconfig, krb5-devel, gcc, make

%description
This package contains SunLib's implementation of transport-independent
RPC (TI-RPC) documentation.  This library forms a piece of the base of 
Open Network Computing (ONC), and is derived directly from the 
Solaris 2.3 source.

TI-RPC is an enhanced version of TS-RPC that requires the UNIX System V 
Transport Layer Interface (TLI) or an equivalent X/Open Transport Interface 
(XTI).  TI-RPC is on-the-wire compatible with the TS-RPC, which is supported 
by almost 70 vendors on all major operating systems.  TS-RPC source code 
(RPCSRC 4.0) remains available from several internet sites.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:		Development files for the libtirpc library
Requires:		%{name} = %{version}-%{release}
Requires:		pkgconfig

%description devel
This package includes header files and libraries necessary for
developing programs which use the tirpc library.


%prep
%autosetup -p1

# Remove .orig files
find . -name "*.orig" | xargs rm -f

%build
sh autogen.sh
autoreconf -fisv
%configure
make all

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc
mkdir -p %{buildroot}%{_root_libdir}
mkdir -p %{buildroot}%{_libdir}/pkgconfig
make install DESTDIR=%{buildroot} \
	libdir=%{_root_libdir} pkgconfigdir=%{_libdir}/pkgconfig
# Don't package .a or .la files
rm -f %{buildroot}%{_root_libdir}/*.{a,la}

# Creat the man diretory
mv %{buildroot}%{_mandir}/man3 %{buildroot}%{_mandir}/man3t

%generate_compatibility_deps


%files
%{_root_libdir}/libtirpc.so.*
%dir %{abidir}
%{abidir}/libtirpc.dump
%config(noreplace)%{_sysconfdir}/netconfig
%config(noreplace)%{_sysconfdir}/bindresvport.blacklist

%files doc
%doc AUTHORS ChangeLog NEWS README

%files devel
%{!?_licensedir:%global license %%doc}
%license COPYING
%dir %{_includedir}/tirpc
%dir %{_includedir}/tirpc/rpc
%dir %{_includedir}/tirpc/rpcsvc
%{_root_libdir}/libtirpc.so
%{_libdir}/pkgconfig/libtirpc.pc
%{_includedir}/tirpc/netconfig.h
%{_includedir}/tirpc/rpc/*
%{_includedir}/tirpc/rpcsvc/*
%{_mandir}/*/*

%changelog
* Tue Feb 27 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.3.4-1
- update to 1.3.4

* Mon Mar 13 2023 Feng Su <sufeng@linux.alibaba.com> - 1.3.3-3
- Correct the location of the dump files

* Fri Feb 24 2023 Feng Su <sufeng@linux.alibaba.com> - 1.3.3-2
- add abi/api files

* Mon Sep 5 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.3.3-1
- update to 1.3.3

* Thu Mar 10 2022 forrest_ly <flin@linux.alibaba.com> - 1.3.2-1
- Init for Anolis OS 23
